Summary: FastCGI library for Ruby
Name: ruby-fcgi

%global momorel 3

Version: 0.8.5
Release: %{momorel}m
Group: Applications/Text
License: Ruby
URL: http://raa.ruby-lang.org/list.rhtml?name=fcgi
Source0: http://www.moonwolf.com/ruby/archive/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: libfcgi-devel >= 1.8.0

%description
FastCGI library for Ruby. It merges matz's C version(fcgi.so) & Eli's
pure ruby version(fastcgi.rb)

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q
chmod 644 README*

%build
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README*
%{ruby_libdir}/fcgi.rb
%{ruby_archdir}/fcgi.so

%changelog
* Mon Feb  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.5-3m)
- cancel NoSource

* Mon Nov 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.8.5-2m)
- revised spec file to follow the kossori changes of released archive

* Fri Oct  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.5-1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.4-2m)
- rebuild against ruby-1.8.2

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.4-1m)
- initial import to Momonga
